Subject: Re: bug#12852: 24.2; `exit-function' not supported in completion table's metadata alist

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Nov 2012 22:58:19 -0500

>> I mean I might be subverting the exit-function.  Any suggestions?
> Any comments on what is the best thing to do?

Clearly, with the current code base, adding "." is the
easiest solution.  You can also strip any final dot in the user's input,
so the odd final dot is only a temporary artifact in the minibuffer.

But you do have some good points about exit-function, which might
justify redesigning it, or providing some similar functionality in
completion-metadata.  But I need to think more about what that should
look like.

        Stefan